require "film_locations_gem/version"
require "unirest"

module FilmLocationsGem
  class FilmInSf
    attr_accessor :actor_1, :actor_2, :actor_3, :director, :locations, :production_company, :release_year, :title, :writer

    def initialize(hash)
      @actor_1 = hash['actor_1']
      @actor_2 = hash['actor_2']
      @actor_3 = hash['actor_3']
      @director = hash['director']
      @locations = hash['locations']
      @production_company = hash['production_company']
      @release_year = hash['release_year']
      @title = hash['title']
      @writer = hash['writer']
    end

    def self.all
      # film_locations = []
      film_locations_array = Unirest.get("https://data.sfgov.org/resource/wwmu-gmzc.json").body
      # film_locations_array.each do |film_location|
        # film_locations << film_location
      # end
      # film_locations_array
      create(film_locations_array)
    end

    def self.find(search_term)
      film_locations_array = Unirest.get("https://data.sfgov.org/resource/wwmu-gmzc.json?$q=#{search_term}").body
    end

    def self.create(film_locations_array)
      film_locations = []
      film_locations_array.each do |film_location|
        film_locations << FilmLocation.new(film_location)
      end
      return film_locations
    end

    def destroy
      Unirest.delete("https://data.sfgov.org/resource/wwmu-gmzc.json").body
    end

  end
end
